Index: src/Atom/atom_atominfo.cpp
===================================================================
--- src/Atom/atom_atominfo.cpp	(revision b75386102c01f78fed1672b79dacce138116fcf9)
+++ src/Atom/atom_atominfo.cpp	(revision c9cafae3a5f701f6ad7fcb9c37a3ae80bc41ffcf)
@@ -568,5 +568,5 @@
         +" out of bounds [0,"+toString(Force->RowCounter[0])
         +"] access on force matrix.");
-    ASSERT(Force->ColumnCounter[0] > d+offset,
+    ASSERT(Force->ColumnCounter[0] > d+(int)offset,
         "AtomInfo::VelocityVerletUpdate() - "+toString(d+offset)
         +" out of bounds [0,"+toString(Force->ColumnCounter[0])
Index: src/Fragmentation/EnergyMatrix.cpp
===================================================================
--- src/Fragmentation/EnergyMatrix.cpp	(revision b75386102c01f78fed1672b79dacce138116fcf9)
+++ src/Fragmentation/EnergyMatrix.cpp	(revision c9cafae3a5f701f6ad7fcb9c37a3ae80bc41ffcf)
@@ -93,8 +93,8 @@
     }
     // allocate last plus one matrix
-    if (Matrix[MatrixCounter].size() <= RowCounter[MatrixCounter] + 2)
+    if ((int)Matrix[MatrixCounter].size() <= RowCounter[MatrixCounter] + 2)
       Matrix[MatrixCounter].resize(RowCounter[MatrixCounter] + 1);
     for(int j=0;j<=RowCounter[MatrixCounter];j++)
-      if (Matrix[MatrixCounter][j].size() <= ColumnCounter[MatrixCounter]+1)
+      if ((int)Matrix[MatrixCounter][j].size() <= ColumnCounter[MatrixCounter]+1)
         Matrix[MatrixCounter][j].resize(ColumnCounter[MatrixCounter]);
 
Index: src/Fragmentation/ForceMatrix.cpp
===================================================================
--- src/Fragmentation/ForceMatrix.cpp	(revision b75386102c01f78fed1672b79dacce138116fcf9)
+++ src/Fragmentation/ForceMatrix.cpp	(revision c9cafae3a5f701f6ad7fcb9c37a3ae80bc41ffcf)
@@ -153,8 +153,8 @@
 
     // allocate last plus one matrix
-    if (Matrix[MatrixCounter].size() <= RowCounter[MatrixCounter] + 2)
+    if ((int)Matrix[MatrixCounter].size() <= RowCounter[MatrixCounter] + 2)
       Matrix[MatrixCounter].resize(RowCounter[MatrixCounter] + 1);
     for(int j=0;j<=RowCounter[MatrixCounter];j++)
-      if (Matrix[MatrixCounter][j].size() <= ColumnCounter[MatrixCounter]+1)
+      if ((int)Matrix[MatrixCounter][j].size() <= ColumnCounter[MatrixCounter]+1)
         Matrix[MatrixCounter][j].resize(ColumnCounter[MatrixCounter]);
 
Index: src/Fragmentation/HessianMatrix.cpp
===================================================================
--- src/Fragmentation/HessianMatrix.cpp	(revision b75386102c01f78fed1672b79dacce138116fcf9)
+++ src/Fragmentation/HessianMatrix.cpp	(revision c9cafae3a5f701f6ad7fcb9c37a3ae80bc41ffcf)
@@ -244,8 +244,8 @@
     // allocate last plus one matrix
     LOG(0, "Allocating last plus one matrix with " << (RowCounter[MatrixCounter]+1) << " rows and " << ColumnCounter[MatrixCounter] << " columns.");
-    if (Matrix[MatrixCounter].size() <= RowCounter[MatrixCounter] + 2)
+    if ((int)Matrix[MatrixCounter].size() <= RowCounter[MatrixCounter] + 2)
       Matrix[MatrixCounter].resize(RowCounter[MatrixCounter] + 1);
     for(int j=0;j<=RowCounter[MatrixCounter];j++)
-      if (Matrix[MatrixCounter][j].size() <= ColumnCounter[MatrixCounter]+1)
+      if ((int)Matrix[MatrixCounter][j].size() <= ColumnCounter[MatrixCounter]+1)
         Matrix[MatrixCounter][j].resize(ColumnCounter[MatrixCounter]);
 
Index: src/Fragmentation/MatrixContainer.cpp
===================================================================
--- src/Fragmentation/MatrixContainer.cpp	(revision b75386102c01f78fed1672b79dacce138116fcf9)
+++ src/Fragmentation/MatrixContainer.cpp	(revision c9cafae3a5f701f6ad7fcb9c37a3ae80bc41ffcf)
@@ -283,8 +283,8 @@
     RowCounter[i] = RCounter[i];
     ColumnCounter[i] = CCounter[i];
-    if (Matrix[i].size() <= RowCounter[i] + 2)
+    if ((int)Matrix[i].size() <= RowCounter[i] + 2)
       Matrix[i].resize(RowCounter[i] + 1);
     for(int j=0;j<=RowCounter[i];j++)
-      if (Matrix[i][j].size() <= ColumnCounter[i]+1)
+      if ((int)Matrix[i][j].size() <= ColumnCounter[i]+1)
         Matrix[i][j].resize(ColumnCounter[i]);
     // allocation with 0 is guaranted by STL
Index: src/molecule_graph.cpp
===================================================================
--- src/molecule_graph.cpp	(revision b75386102c01f78fed1672b79dacce138116fcf9)
+++ src/molecule_graph.cpp	(revision c9cafae3a5f701f6ad7fcb9c37a3ae80bc41ffcf)
@@ -70,5 +70,5 @@
     for(molecule::iterator iter = begin(); iter != end(); ++iter) {
       const atom * const Father = (*iter)->GetTrueFather();
-      const int AtomNo = Father->getNr(); // global id of the current walker
+      //const int AtomNo = Father->getNr(); // global id of the current walker
       const BondList& ListOfBonds = Father->getListOfBonds();
       for (BondList::const_iterator Runner = ListOfBonds.begin();
